Share feedback
Answers are generated based on the documentation.

List resource types

GET/v2/scim/2.0/ResourceTypes
Returns all resource types supported for the SCIM configuration.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • scimToken

Parameters

No parameters are declared.

Request and responses

Response 200

application/scim+json

Type: object

Resources

Type: array

Array item

Schema: scim_resource_type

All schema constraints and annotations
{
  "items": {
    "$ref": "#/components/schemas/scim_resource_type"
  },
  "type": "array"
}
schemas

Type: array

Array item

Type: string

All schema constraints and annotations
{
  "example": "urn:ietf:params:scim:api:messages:2.0:ListResponse",
  "type": "string"
}
All schema constraints and annotations
{
  "items": {
    "example": "urn:ietf:params:scim:api:messages:2.0:ListResponse",
    "type": "string"
  },
  "type": "array"
}
totalResults

Type: integer

All schema constraints and annotations
{
  "example": 1,
  "type": "integer"
}
All schema constraints and annotations
{
  "examples": [
    {
      "Resources": [
        {
          "description": "User",
          "endpoint": "/Users",
          "id": "User",
          "name": "User",
          "schema": "urn:ietf:params:scim:schemas:core:2.0:User",
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
          ]
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse"
      ],
      "totalResults": 1
    }
  ],
  "properties": {
    "Resources": {
      "items": {
        "$ref": "#/components/schemas/scim_resource_type"
      },
      "type": "array"
    },
    "schemas": {
      "items": {
        "example": "urn:ietf:params:scim:api:messages:2.0:ListResponse",
        "type": "string"
      },
      "type": "array"
    },
    "totalResults": {
      "example": 1,
      "type": "integer"
    }
  },
  "type": "object"
}

Schema example

{
  "Resources": [
    {
      "description": "User",
      "endpoint": "/Users",
      "id": "User",
      "name": "User",
      "schema": "urn:ietf:params:scim:schemas:core:2.0:User",
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
      ]
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 1
}

Response 401

Unauthorized

application/scim+json

All constraints apply

Schema: scim_error

status
All schema constraints and annotations
{
  "example": "401"
}
All schema constraints and annotations
{
  "properties": {
    "status": {
      "example": "401"
    }
  }
}
All schema constraints and annotations
{
  "allOf": [
    {
      "$ref": "#/components/schemas/scim_error"
    },
    {
      "properties": {
        "status": {
          "example": "401"
        }
      }
    }
  ]
}

error

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "status": "401"
}

Response 500

Internal Error

application/scim+json

All constraints apply

Schema: scim_error

status
All schema constraints and annotations
{
  "example": "500"
}
All schema constraints and annotations
{
  "properties": {
    "status": {
      "example": "500"
    }
  }
}
All schema constraints and annotations
{
  "allOf": [
    {
      "$ref": "#/components/schemas/scim_error"
    },
    {
      "properties": {
        "status": {
          "example": "500"
        }
      }
    }
  ]
}

error

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "status": "500"
}

Referenced schemas

Complete operation contract
{
  "description": "Returns all resource types supported for the SCIM configuration.\n",
  "operationId": "getV2Scim20ResourceTypes",
  "responses": {
    "200": {
      "$ref": "#/components/responses/scim_get_resource_types_resp"
    },
    "401": {
      "$ref": "#/components/responses/scim_unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/scim_error"
    }
  },
  "security": [
    {
      "scimToken": []
    }
  ],
  "summary": "List resource types",
  "tags": [
    "scim"
  ]
}